package gui.simulator.facilities;

import gui.simulator.DrawEngine;
import gui.simulator.Images;
import gui.simulator.SimulatorPane;
import gui.simulator.Terrain;

import java.io.Serializable;

public class PalmTree1 extends DrawEngine implements Serializable {

	private static Images.ImageType images = Images.ImageType.PalmTree1;
	private static String facilityName = "PalmTree1";

    public PalmTree1(int x, int y, Terrain terrain) {
        super(images, x, y, 1, 0, SimulatorPane.Objects.PALMTREE1, terrain, null, false);
    }

    public PalmTree1(int x, int y, double scale, double distance, Terrain terrain) {
        super(images, x, y, scale, distance, SimulatorPane.Objects.PALMTREE1, terrain, null, false);
    }
    
    public String getFacilityName(){
    	return facilityName;
    }
}